{ zentralwerk, config, pkgs, ... }:
let
  netConfig = zentralwerk.lib.config.site.net.serv;

in
{
  microvm = {
    mem = 2048;
  };

  c3d2.deployment = {
    server = "nomad";
    mounts = [ "etc" "home" "var"];
    mountBase = "/glusterfs/fast/microvms/${config.networking.hostName}";
  };

  networking = {
    hostName = "leon";
    firewall.enable = true;
  };

  security.sudo = {
    enable = true;
    wheelNeedsPassword = false;
  };


# List packages installed in system profile. To search, run:
  # $ nix search wget
   environment.systemPackages = with pkgs; [
     wget vim python3Full nmap htop wireguard-tools 
   ];


  users.users.leon = {
    isNormalUser = true;
    extraGroups = [ "wheel" ];
    createHome = true;
    openssh.authorizedKeys.keys = [
		  "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM2zpmWA3Z9zshWaU8k1SWyJnbAyasOu9pV+9BvTY0XE leon@¯\_(ツ)_/¯"
	  ];
  };

	networking.firewall = {
    allowedTCPPorts = [ 5000 22 53 80 8080 777 ];
    allowedUDPPorts = [ 5000 22 53 80 8080 777 ];  
  };


  system.stateVersion = "22.05";
}
